Core - Bug # 50875

Status: Resolved Priority: Should have
Author: Markus no-lastname-given Category: Install Tool
Created: 2013-08-07 Assigned To:

Updated: 2015-01-31 Due date:

TYPO3 Version: 6.1

PHP Version: 53

Complexity:

Is Regression: No

Sprint Focus: On Location Sprint

Subject: Install Tool feature "Create admin user" can't handle umlauts in username
Description

Observed behaviour:

When a username like 'dérthe’ is entered, the user will be created with the username 'drthe’ instead. No warning or error message will
reveal this to the user.

In the TYPOS3 Backend there is no problem when a username with umlauts in it is created; it just works as expected.

Expected:

There should be one of the following:

- a warning, that the username is invalid or not possible via the Install Tool
- an error that the username could not be created as requested

- the username is accepted and set correctly

Related issues:
related to Core - Task # 49162: Rewrite install tool Resolved 2011-10-30

Associated revisions

Revision b83587f1 - 2015-01-31 14:34 - Georg Ringer

[TASK] Harmonize allowed characters of backend usernames

When creating new backend users from the intall tool, any
character is now accepted for the username. Whitespaces get
trimmed and uppercase is converted to lowercase.

This is already the case for TCA of be_users.username

Change-Id: 10edabd2cb82dc59bdc52dd385¢1e198f04be6017
Resolves: #50875

Releases: master

Reviewed-on: http://review.typo3.org/35997

Reviewed-by: Mathias Schreiber <mathias.schreiber@wmdb.de>

Tested-by: Mathias Schreiber <mathias.schreiber@wmdb.de>
Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>

History

#1 - 2013-08-08 20:25 - Christian Kuhn

clearly a bug ... should be investigated.
#2 - 2014-04-07 13:57 - Philipp Bergsmann

This also happens when the username includes a dash. E.g. "my-admin-user" would be renamed to "myadminuser" without notification

#3 - 2015-01-13 13:46 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/35997

#4 - 2015-01-31 14:11 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.0rg/35997

#5 - 2015-01-31 14:12 - Steffen Miller
- Is Regression set to No
- Sprint Focus set to On Location Sprint

#6 - 2015-01-31 14:51 - Gerrit Code Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.0org/36503

#7 - 2015-01-31 15:00 - Georg Ringer
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:b83587f101dc13a448e5bb09ebcc66a477c52aeb.
